JDBCSessionManager.ClassLoadingObjectInputStream (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.server.session

## Class JDBCSessionManager.ClassLoadingObjectInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ObjectInputStream
    - - org.eclipse.jetty.server.session.JDBCSessionManager.ClassLoadingObjectInputStream

- All Implemented Interfaces:
    Closeable, DataInput, ObjectInput, ObjectStreamConstants, AutoCloseable
  Enclosing class:
    JDBCSessionManager

      protected class JDBCSessionManager.ClassLoadingObjectInputStream
      extends ObjectInputStream

  ClassLoadingObjectInputStream

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.io.ObjectInputStream

      `ObjectInputStream.GetField`

  - ### Field Summary

    - ### Fields inherited from interface java.io.ObjectStreamConstants

      `baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCSessionManager.ClassLoadingObjectInputStream()`
    `JDBCSessionManager.ClassLoadingObjectInputStream(InputStream in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `resolveClass(ObjectStreamClass cl)`

    - ### Methods inherited from class java.io.ObjectInputStream

      `available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, resolveProxyClass, skipBytes`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.ObjectInput

      `read, skip`

- - ### Constructor Detail

    - #### JDBCSessionManager.ClassLoadingObjectInputStream

          public JDBCSessionManager.ClassLoadingObjectInputStream(InputStream in)
                                                           throws IOException

      Throws:
        `IOException`

    - #### JDBCSessionManager.ClassLoadingObjectInputStream

          public JDBCSessionManager.ClassLoadingObjectInputStream()
                                                           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### resolveClass

          public Class<?> resolveClass(ObjectStreamClass cl)
                                throws IOException,
                                       ClassNotFoundException

      Overrides:
        `resolveClass` in class `ObjectInputStream`
      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.